<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Tool inspire install function.
 *
 * @package    tool_inspire
 * @copyright  2017 David Monllao {@link http://www.davidmonllao.com}
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

/**
 * Tool inspire install function.
 *
 * @return void
 */
function xmldb_tool_inspire_install() {

    // TODO All of them for the moment, we will define a limited set of them once in core.
    $target = \tool_inspire\manager::get_target('\tool_inspire\local\target\course_dropout');
    $indicators = \tool_inspire\manager::get_all_indicators();

    // We need the model to be created in order to know all its potential indicators and set them.
    $model = \tool_inspire\model::create($target, array());

    $model->update(0, $model->get_potential_indicators());
}
